# WarningMode

enum WarningMode

Specifies the warning mode a user wants to see.

#### Since

4.5

## Entries

All
Link copied to clipboard
All

Show all warnings.

Summary
Link copied to clipboard
Summary

Display a summary at the end of the build instead of rendering all warnings into the console output.

None
Link copied to clipboard
None

No deprecation warnings at all.

Fail
Link copied to clipboard
Fail

Show all warnings and fail the build if any warning present

## Functions

shouldDisplayMessages
Link copied to clipboard
open fun shouldDisplayMessages(): Boolean
Indicates whether deprecation messages are to be printed in-line
valueOf
Link copied to clipboard
open fun valueOf(name: String): WarningMode

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<WarningMode>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.